# GM - Compact Calendar

## **Documentation**

**GM - Compact Calendar** component is used to display the **Event** and **Task** or any object as activity on the Calendar.

**Use case:** Display the **Event** and **Task** object as activities on  the Calendar using the compact calendar. See [**GM - Compact Calendar.**](/product-tour/compact-calendar.md)

## **Specification**

<table data-full-width="true"><thead><tr><th width="170">Property</th><th width="132.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>Title</td><td>String</td><td>The title of the <strong>Compact Calendar</strong>.</td></tr><tr><td>Custom Icon</td><td>String</td><td>Customize the data grid icon. All lightning icons are supported. You can get the icon name from <a href="https://lightningdesignsystem.com/icons/">https://lightningdesignsystem.com/icons<strong>/</strong></a></td></tr><tr><td>Json Config</td><td>Json</td><td>The JSON configuration describes the calendar setup, including the object API name, date fields, and popover fields.</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="compactCalendarLWC.js-meta.xml" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<LightningComponentBundle xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>60.0</apiVersion>
    <isExposed>true</isExposed>
    <masterLabel>GM - Compact Calendar</masterLabel>
    <targets>
        <target>lightning__RecordPage</target>
        <target>lightning__AppPage</target>
        <target>lightning__HomePage</target>
    </targets>
    <targetConfigs>
        <targetConfig targets="lightning__RecordPage,lightning__AppPage,lightning__HomePage">
            <property name="title" type="String" label="Title" description="Calendar Title" />
            <property name="customIcon" type="String" label="Custom Icon" description="Calendar Custom Icon" />
            <property name="jsonConfig" type="String" label="Json Config" description="Json Calendar Configuration" />
            <property name="showBorder" type="Boolean" label="Show Border" description="Show Border" />
        </targetConfig>
    </targetConfigs>
</LightningComponentBundle>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridmate.io/package-reference/components-library/gm-compact-calendar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
